<?php
/**
 * The template for displaying archive pages.
 *
 * @link https://codex.wordpress.org/Template_Hierarchy
 *
 * @package course
 */

get_header(); ?>

	<div id="primary" class="content-area">
				
		<main id="main" class="site-main clear">

			<?php
				get_template_part('sidebar', '2');
			?>

			<div id="recent-content" class="has-sidebar-2">

				<div class="most-recent-content">

					<div class="section-heading">
						<h1 class="section-title">
							<?php
								echo get_the_archive_title('');
							?>					
						</h1>	
					</div><!-- .section-heading -->

					<div class="content-<?php if(get_theme_mod('archive-loop-style','choice-1') == 'choice-1') { echo 'list'; } elseif(get_theme_mod('archive-loop-style','choice-1') == 'choice-2') { echo 'grid clear'; }  else { echo 'blog'; } ?>">

						<?php

						if ( have_posts() ) :	

							$i = 1;

							/* Start the Loop */
							while ( have_posts() ) : the_post();

								if (get_theme_mod('home-loop-style','choice-1') == 'choice-1') {

									get_template_part('template-parts/content', 'list');

								} elseif (get_theme_mod('home-loop-style','choice-1') == 'choice-2') {

									get_template_part('template-parts/content', 'grid');

								} else {

									get_template_part('template-parts/content', 'blog');

								}

								if ( ($i % 2 == 0) && (get_theme_mod('archive-loop-style','choice-1') == 'choice-2') ) {
									echo '<span class="line"></span>';
								}

								$i++;

							endwhile;

							else :

							get_template_part( 'template-parts/content', 'none' );

						endif; 

						?>
					
					</div><!-- .content-list/grid/blog -->

				</div><!-- .most-recent-content -->

				<?php get_template_part( 'template-parts/pagination', '' ); ?>

			</div><!-- #recent-content -->

		</main><!-- .site-main -->

	</div><!-- #primary -->

<?php get_sidebar(); ?>

<?php get_footer(); ?>
